<?php
/**
 * @package Keyinvoice
 */

namespace KeyinvoiceWordpress\API\Callbacks;
 
class WpCallbacks 
{
    public function configPage()
    {
        require_once KI_PLUGIN_PATH.'templates/config.php';
    }

    public function productsPage()
    {
        require_once KI_PLUGIN_PATH.'templates/products.php';
    }

    public function ordersPage()
    {
        require_once KI_PLUGIN_PATH.'templates/orders.php';
    }

    public function helpPage()
    {
        require_once KI_PLUGIN_PATH.'templates/help.php';
    }

    public function KeyConfigOptionsGroup( $input )
	{
		return $input;
	}

	public function KeyinvoiceConfigsSection($section)
	{
        
		// echo '<h3>'.$section['title'].'</h3>';
	}

	public function urlAPIConfig( )
	{
		$value = esc_attr( get_option( 'url_api' ) );
		echo '<input type="text" class="regular-text" name="url_api" value="' . $value . '" placeholder="URL">';
	}

	public function keyAPIConfig(  $args)
	{
		$value = esc_attr( get_option( 'api_key' ) );
		echo '<input type="text" class="regular-text" name="api_key" value="' . $value . '" placeholder="Chave API"><p>'.$args['text'].'</p>';
	}

    public function keyAPIDoctype()
    {
        $value = esc_attr( get_option( 'api_doctype' ) );
        
        echo '<select name="api_doctype" class="select2 span12 select2-offscreen" tabindex="-1">
                <option value="13" '.(( $value == 13 )?'selected':'').' >Encomenda</option>
                <option value="4" '.(( $value == 4 )?'selected':'').'>Factura</option>
                <option value="32" '.(( $value == 32 )?'selected':'').'>Factura Simplificada</option>
                <option value="34" '.(( $value == 34 )?'selected':'').'>Factura Recibo</option>
            </select>';
    }


    public function keySelect( $args )
    {
        $value = esc_attr( get_option( $args['label_for'] ) );
        $html = '<select name="'.$args['label_for'].'" class="">';
        foreach( $args['fields'] as $key => $val )
        {
            $html .= '<option value="'.$key.'" '.(( $value == $key )?'selected':'').' >'.$val.'</option>';
        }
        $html .= '</select>';
        echo $html;
    }


    public function keyCheckbox( $args )
    {
        $value = esc_attr( get_option( $args['label_for'] ) );
        $html = '<input type="checkbox" name="'.$args['label_for'].'" value="1" '. ( ( $value==1 )?'checked="checked"':'' ).'>
            <p>'.$args['text'].'</p>';
        echo $html;
    }


    public function keyText( $args )
    {
        $value = esc_attr( get_option( $args['label_for'] ) );
		echo '<input type="text" class="regular-text" name="'.$args['label_for'].'" value="' . $value . '" placeholder="'.$args['placeholder'].'">
        <p>'.$args['text'].'</p>';
    }

    public function keyBtn( $args )
    {
        echo '<button class="button button-primary" id="test-api-ki">TESTAR</button><div id="result-testing"></div>';
    }
}
